
.private.modal .modal-content{
    border-radius: 3px;
    background-color: rgb(250, 251, 251);
    padding: 30px 50px;
    width: 100%;
    box-sizing: border-box;
}
.hearder_title{
    text-align: center;
    font-size: 20px;
}
.mbody{
    max-height: calc(100vh - 200px);
    overflow: auto;
    overflow-x: hidden;
}

.private.modal .modal-content .title{
    font-size: 14px;
    font-weight: bold;
    color:#444444 ;
    box-sizing: border-box;
    padding-left: 20px;
    border-bottom: 1px solid #EAEAEB;
    position: relative;
    line-height: 40px;
}
.private.modal .modal-content .title::before{
    content: "";
    display: block;
    position: absolute;
    height: 2px;
    width: 95px;
    bottom: -1px;
    left: 0;
    background-color: #FA6C62;
    border-radius: 2px 2px;
}

.private.modal .modal-content .content{
    padding: 10px 0;
}
.private.modal .hearder{
    position: relative;
}
/* 选择套餐 */
.packages_container{
    padding: 10px;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
.package_item{
    width: calc(25% - 15px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, .12), 0 0 6px rgba(0, 0, 0, .04);
    display: flex;
    padding:25px 10px;
    border-radius: 3px;
    cursor: pointer;
    transition: .2s;
    margin-top: 10px;
    margin: 7.5px;
}
.package_item.selected{
    border: 1px solid #FF8E56;
}
.package_item.recommend{
    overflow: hidden;
    position: relative;
}
.package_item.recommend::before{
    content: "";
    position: absolute;
    display: block;
    width: 40px;
    height: 40px;
    background: url('../images/tuijian.svg') no-repeat center;
    background-size: cover;
    top: 0;
    left: 0;
}
.package_item:not(.selected):hover{
    transform: scale(0.98);
}
.package_item .package-name{
    text-align: center;
    width: 100%;
    font-size: 14px;
    font-weight: bold;
    color: #444444;
    padding:0 10px;
    box-sizing: border-box;
}
.package_item .price{
    color: #FA6C62;
    font-size: 14px;
    font-weight: bold;
    width: 85px;
    flex-shrink: 0;
}

.payment-type_container_m,.invoic_container_m{
    height: 0;
    overflow: hidden;
    padding: 0;
    margin: 0;
}

/* 支付方式 */
.payment-type_container{
    width: 100%;
    padding: 10px;
    padding-left: 60px;
    box-sizing: border-box;
}

.payment-type_container input[type=radio]{
    margin-top: 5px;
}
.payment-type_container  .radio-inline{
    padding: 40px 0;
    padding-bottom: 20px;
    position: relative;
}
.payment-title{
    position: absolute;
    top: 10px;
    left: -10px;
    font-weight: bold;
    color: #444444;
}
.payment-type_container  .radio-inline+.radio-inline{
    margin-left: 40px;
}
.radio-icon{
    width:140px ;
    height: 35px;
    border: 1px solid #d2d2d2 ;
    transition: .2s;
}
.radio-icon.Alipay{
    line-height: 35px;
    font-weight: bold;
    padding-left: 75px;
    box-sizing: border-box;
    background: url('../images/zhifubao.svg') no-repeat center;
    background-size: 70px 28px;
    background-position-x:5px;
    color: #444444;
}
.radio-icon.onLine{
    line-height: 35px;
    font-weight: bold;
    padding-left: 50px;
    box-sizing: border-box;
    background: url('../images/zaixianzhifu.svg') no-repeat center;
    background-size: 70px 25px;
    background-position-x:-10px;
    color: #444444;
}
.radio-icon.WeChat{
    line-height: 35px;
    font-weight: bold;
    padding-left: 75px;
    box-sizing: border-box;
    background: url('../images/weixinzhifu.svg') no-repeat center;
    background-size: 70px 35px;
    background-position-x:5px;
    color: #444444;
}
.radio-icon.uploadImage{
    line-height: 35px;
    font-weight: bold;
    padding-left: 50px;
    box-sizing: border-box;
    background: url('../images/uploadImage.svg') no-repeat center;
    background-size: 75px 23px;
    background-position-x:-9px;
}
.radio-icon.exchange{
    line-height: 35px;
    font-weight: bold;
    padding-left: 50px;
    box-sizing: border-box;
    background: url('../images/duihuan.svg') no-repeat center;
    background-size: 70px 25px;
    background-position-x:-9px;
}
.payment-type_container input[type=radio]:checked+.radio-icon{
    border-color: #FF8E56;
}
.form-row .card_input{
    width: 300px !important;
}

/* 开具发票 */
.invoic_container{
    width: 100%;
    padding: 10px;
    padding-left: 40px;
}
.invoice-form_container{
    width: 100%;
    padding-left: 25px;
    box-sizing: border-box;
    margin-top: 20px;
}
.invoic_container .radio-text{
    padding:6px 15px;
    text-align: center;
    border: 1px solid #d2d2d2 ;
    color: #444444;
    font-weight: bold;
}
.invoic_container input[type=radio]{
    margin-top: 11px;
}
.invoic_container  .radio-inline+.radio-inline{
    margin-left: 20px;
}
.invoic_container input[type=radio]:checked+.radio-text{
    border-color: #FF8E56;
}
.form-row .form-group{
    height: 60px;
}
.form-row .help-block{
    margin-bottom: 0px;
    padding-left: 125px;
}
.form-row label{
    width: 120px;
    text-align: end;
}
.form-row .invoice_input{
    width: 350px !important;
}
.exchange_container{
    width: 460px;
    padding-left: 5px;
}
.upload-content{
    margin: 20px 0 0 0;
}

/* 图片容器 */
.fileList{
    padding: 0 10px;
    display: flex;
    flex-wrap: wrap;
}
.file-view{
    display: none;
    width:100px;
    height: 100px;
    margin: 10px;
    overflow: hidden;
    border: 2px solid #dddddd;
    border-radius: 4px;
    position: relative;
}
.file-view img{
    width: 100%;
    height: 100%;
    border: none;
    padding: 0;
    object-fit: cover;
}
.view-mask{
    content: "";
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 10;
}
.view-mask i{
    margin: 5px 0;
    transition: .2s;
}
.view-mask i:hover{
    opacity: 0.8;
}
.file-view:hover .view-mask{
    display: flex;
}
.upload-content .file-upload{
    display: none;
}
.upload-btn{
    width: 100px;
    height: 100px;
    border: 2px solid #dddddd;
    border-radius: 4px;
    text-align: center;
    line-height: 100px;
    cursor: pointer;
    transition: .3s;
    margin: 10px;

}
.upload-btn:hover{
    border-color: rgba(64, 160, 255, 0.635);
}
.upload-btn:hover::after{
    color: rgba(64, 160, 255, 0.635);
}
.upload-btn::after{
    content: "+";
    font-size: 50px;
    color: #afafaf;
    transition: .3s;
}
.fileList .prompt{
    height: 40px;
    line-height: 40px;
    margin-top:75px;
    color:#909399 ;
}
.preview_mask{
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    background: #2b2b2b;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}
.preview_container{
    width: 60vw;
    height: 60vh;
}
.preview_container img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}
/* 补开票 */
#invoicing-modal{
    height: 100vh;
}
#invoicing-modal .modal-dialog{
    width: 100%;
    max-width: 600px;

}
#invoicing-modal .invocing-content{
    padding: 30px 20px;
    padding-top: 0;
    overflow: hidden;
    overflow-y: auto;
}
#invoicing-modal .nav-tabs{
    border: none;
}
#invoicing-modal .invocing-hearder{
    position: relative;
    font-size: 22px;
    padding:10px 30px;
    padding-top: 20px;
}
#invoicing-modal i.icon-close{
    right:15px;
    top:15px;
}
#invoicing-modal  .nav-tabs li.active a::before{
    content: "";
    height: 2px;
    width: 40px;
    background: #47514e;
    position: absolute;
    bottom: 0;
    transform: translateX(-50%);
    left: 50%;
}
#invoicing-modal .nav-tabs li a{
    border: none;
    margin: 0 !important;
    color: #b0b0b0;
    font-size: 18px;
    background: none !important;
}
.invocing_tab-content  .form-row label{
    width: 140px;
    text-align: end;
}
.invocing_tab-content{
    min-height: 300px;
    padding: 15px;
    padding-top: 25px;
}
.invocing_tab-content .form-row .help-block{
    padding-left:130px;
    height:20px;
}
/* 登录 */


#login-modal .nav-tabsm,#invoicing-modal .nav-tabsm{
    border: none;
    width: 100%;
}
#login-modal .nav-tabs li a  {
    border: none;
    margin: 0 !important;
    color: #b0b0b0;
    font-size: 24px;
    background: none !important;
}
#login-modal .nav-tabs li.active a ,#invoicing-modal  .nav-tabs li.active a{
    border: none;
    color: #2b2d34;
    border-radius: 0;
    position: relative;
}
#login-modal .nav-tabs li.active a::before {
    content: "";
    height: 2px;
    width: 100px;
    background: #47514e;
    position: absolute;
    top: 0;
    transform: translateX(-50%);
    left: 50%;
}
#login-modal .nav-tabs li:nth-of-type(1).active a::before {
    width: 120px;
}
#login-modal .nav-tabs li a:hover,#invoicing-modal .nav-tabs li a:hover{
    background: none !important;
}
#login-modal .nav-tabs{
    width: 100%;
    border: none;
}
.code_container{
    display: inline-block;
    margin-left: 10px;
    width: calc(100% - 140px);
    max-width: 100px;
    height: 34px;
    vertical-align: middle;
}
.code_container img{
    width: 100%;
    height: 100%;
}
.login_tab-content .tab-pane{
    min-height: 200px;
    padding: 15px;
    padding-top: 40px;
}
.login_tab-content .form-row ,.invocing_tab-content .form-row{
    width: 100%;
}
.login_tab-content .form-row label{
    width: 80px;
    text-align: end;
}
.login_tab-content .form-row .help-block{
    padding-left: 85px;
    height: 20px;
}
.login_tab-content .form-row .form-control:not(.code),.invocing_tab-content .form-row .form-control{
    width: 300px;
}
.login_tab-content .form-checkbox,.login_tab-content .form-btn ,.invocing_tab-content  .form-btn{
    width: 100%;
    text-align: center;
}
.login_tab-content .login-submit  ,.invocing_tab-content .login-submit {
    padding: 6px 45px;
    margin-top: 10px;
}
.login_tab-content .code{
    width: 120px !important;
}
.getCode{
    margin-left: 15px;
    width: 100px;
}
.required>label::before{
    content: "*";
    color: red;
}
/* 选择支付方式 */
#paymentType-modal .modal-dialog{
    width: 400px;
    margin-top: 15vh;
}
.paytype-content{
    min-height: 400px;
    padding-top: 15px;
}
.paytype-content .radio-icon{
    height: 50px;
    width:200px;
    margin-bottom: 20px;
    font-size: 16px;
    font-weight: bold;
    line-height: 50px;
}
.paytype-content .amount_container{
    padding: 10px;
    box-sizing: border-box;
    font-size: 16px; 
    margin-bottom: 20px;
}
.paytype-content .amount_container>span:nth-of-type(2){
    color: red;
    font-weight: bold;
}
.retrieve-content .form-row{
    width: 100%;
}
.retrieve-content .form-row .form-control:not(.code){
    width: 300px;
}
.retrieve-content .form-row.form-btn{
    position: relative;
    text-align: center;
}
.retrieve-content .form-row .help-block{
    padding-left: 85px;
    height: 20px;
}
.retrieve-content .code{
    width: 120px !important;
    margin-right: 15px;
}
.retrieve-content .retrieve-title{
    text-align: center;
    margin-bottom: 30px;
}
.retrieve-content .form-row label{
    width: 85px;
}
.retrieve-content .goLogin {
    position: absolute;
    margin-left: 6px;
    font-size: 16px;
    bottom: 0;
    right: 15px;
}

/* 支付浮窗 */
#payment-modal .modal-dialog{
    width: 500px;
    margin-top: 15vh;
}
.pay-contet{
    min-height: 400px;
    padding-top: 15px;
}
.pay-contet .prompt{
    color: green;
    font-size: 16px;
    font-weight: bold;
    margin-top: 15px;
    text-align: center;
}
.qr-container{
    width: 100%;
    height: 100%;
}

.exchange-card,.upload-image{
    display: none;
}

.footer{
    padding-top: 20px;
    display: flex;
    flex-direction: column;
}
.footer>.button-container{
    text-align: end;
    margin-top: 10px;
}
.footer>.price{
    text-align: end;
    font-size: 16px;
    color: #FA6C62;
    font-weight: bold;
    line-height: 34px;
}
.footer>.price::before{
    color:#333333;
    content: "\5e94\4ed8\91d1\989d\ff1a";
}

.footer.footer-center{
    display: flex;
    justify-content:center;
}
.activate-card_form .prompt{
    padding-left: 125px;
    color: #afafaf;
}

.payTime-container{
    text-align: center;
    font-size: 18px;
}

.c-datepicker-data-input.endDate:disabled{
    color: #d4d2d2;
    cursor: no-drop;
}

i.icon-close{
    display: block;
    width: 20px;
    height: 20px;
    background: url('../images/close.png') no-repeat center;
    background-size: 100% 100%;
    position: absolute;
    right: -30px;
    top: -10px;
    cursor: pointer;
    transition: .2s;
}
.retrieve-btn{
    font-size: 16px;
    margin-left: 85px;
    margin-bottom: 15px;
}
.retrieve-btn:hover{
    font-size: 16px !important;
}

i.icon-close:hover{
    opacity: 0.6;
}

i.delete{
    display: block;
    width: 30px;
    height: 30px;
    background: url('../images/shanchu.svg') no-repeat center;
    background-size: contain;
    cursor: pointer;
}
i.preview{
    display: block;
    width: 22px;
    height: 22px;
    background: url('../images/zitiyulan.svg') no-repeat center;
    background-size: contain;
    cursor: pointer;
}
.btn:focus,
.btn:active:focus,
.btn.active:focus,
.btn.focus,
.btn:active.focus,
.btn.active.focus {
    outline: none;
    box-shadow:none;
}

.rolldate-container .rolldate-panel{
    z-index:1100 !important;
}
.rolldate-container .rolldate-mask{
    z-index:1099 !important;
}

.autocomplete-suggestions{
    background: #ffffff;
    box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
    overflow: auto;
}
.autocomplete-suggestion{
    padding: 6px;
    cursor: pointer;
}
.autocomplete-suggestion strong{
    color: #FA6C62;
}

.back-package{
	display:none;
}




@media (min-width: 768px){
    .private.modal:not(.package) .modal-dialog{
        width: 600px;
        margin: 30px auto;
        margin-top:15vh;
    }  
}
@media (max-width: 1200px) {
    .private {
        max-height: 100% !important;
    }
}